# H323Transactor::Response Class Reference

`#include <h323trans.h>`

Collaboration diagram for H323Transactor::Response:

[legend]

## Public Member Functions

| Response (const H323TransportAddress &addr, unsigned seqNum)
| ~Response ()
void | SetPDU (const H323TransactionPDU &pdu)
PBoolean | SendCachedResponse (H323Transport &transport)

## Data Fields

PTime | lastUsedTime
PTimeInterval | retirementAge
H323TransactionPDU * | replyPDU

## Constructor & Destructor Documentation

H323Transactor::Response::Response | ( | const H323TransportAddress & | addr,
|  | unsigned | seqNum |
| ) |  |  |

H323Transactor::Response::~Response | ( |  | ) |

## Member Function Documentation

PBoolean H323Transactor::Response::SendCachedResponse | ( | H323Transport & | transport | ) |

void H323Transactor::Response::SetPDU | ( | const H323TransactionPDU & | pdu | ) |

## Field Documentation

PTime H323Transactor::Response::lastUsedTime

H323TransactionPDU* H323Transactor::Response::replyPDU

PTimeInterval H323Transactor::Response::retirementAge

The documentation for this class was generated from the following file:

- h323trans.h